Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm.providers
Class AttributeEvaluator

    java.lang.Object
      org.jasig.portal.layout.dlm.providers.AttributeEvaluator

All Implemented Interfaces:
  Evaluator

    public class AttributeEvaluator

extends java.lang.Object
implements Evaluator

Since:
  uPortal 2.5
Version:
  $Revision: 1.4.2.1 $ $Date: 2006/09/08 16:34:36 $

Field Summary
`static int` | `CONTAINS`
`static int` | `ENDS_WITH`
`static int` | `EQUALS`
`static int` | `EXISTS`
`protected int` | `mode`
`protected java.lang.String` | `name`
`static java.lang.String` | `RCS_ID`
`static int` | `STARTS_WITH`
`protected java.lang.String` | `value`

Constructor Summary
`AttributeEvaluator(java.lang.String name, java.lang.String mode, java.lang.String value)`

Method Summary
`boolean` | `isApplicable(IPerson p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### CONTAINS

    public static final int CONTAINS

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### STARTS_WITH

    public static final int STARTS_WITH

See Also:
  Constant Field Values

### ENDS_WITH

    public static final int ENDS_WITH

See Also:
  Constant Field Values

### EXISTS

    public static final int EXISTS

See Also:
  Constant Field Values

### mode

    protected int mode

### name

    protected java.lang.String name

### value

    protected java.lang.String value

Constructor Detail

### AttributeEvaluator

    public AttributeEvaluator(java.lang.String name,
                              java.lang.String mode,
                              java.lang.String value)

Method Detail

### isApplicable

    public boolean isApplicable(IPerson p)

  Specified by:
    `isApplicable` in interface `Evaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD